Subject: bug#59580: 29.0.50; [PATCH] Add new choices to bookmark-sort-flag

From: Karl Fogel <[email-masked]>
Date: Tue, 19 Dec 2023 12:59:07 -0600

On 19 Dec 2023, Eli Zaretskii wrote:
>> From: Karl Fogel <[email-masked]>
>> Cc: Gabriel <[email-masked]>,  [email-masked]
>> Date: Mon, 18 Dec 2023 17:26:09 -0600
>> 
>> Regarding the use of `string-collate-lessp':
>> 
>> I think using `string-collate-lessp' makes sense here.  This is 
>> about sorted lists presented to the user, so the sorting should 
>> act according to locale (and when Emacs suspects that the 
>> locale 
>> wouldn't collate correctly, `string-collate-lessp' falls back 
>> to 
>> `string-lessp' anyway).
>
>It is IMO un-Emacsy to do things in locale-dependent manner. 
>Which
>other feature do you know of that sorts text in locale-dependent
>fashion?

I have no idea -- I doubt I would ever notice it if a feature did 
sort that way, since I'd be accustomed to that sorting behavior. 
I also don't see why such behavior is particularly un-Emacsy.  But 
I don't feel strongly about it; if you think `string-lessp' is 
better, let's use that.

Best regards,
-Karl